Script exit


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Script exit
# 1  
Old 06-23-2008
Script exit

HI,

I written a shell script to stop my peoplesoft applications.Peoplesoft provides a psadmin utility to stop the application. I used the force shutdown option with it psadmin -c shutdown! -d pskri. When my application process hungs in the background the script is not able to continue and getting hung. I have to manually use crl+c to come out. Is there anyway i can force the shell script to come out if it is failed failed to stop the process...Is there any exit codes i can specify?
# 2  
Old 06-23-2008
You can send a kill -INTR <pid> where pid=process id of your session.
# 3  
Old 06-23-2008
JIm,

This is a manual process when the script runs..I want to do it automatically inside the script itself. Is it possible?

For eg. May be a timeframe i can use.if the script exceeds the timeline kill or something..or if the script struck in some part come out with some exit code..Hope you got my requiement..

Thank You.
# 4  
Old 06-23-2008
Have you tried to write a function for it !!

for instance: after the code that you have wrote you can check its return value by
echo $?
if the output was zero, so the command has executed properly,
if output was 1 thats mean the command didnt work properly

try to write if for it, like

if ((echo $?==0 ))
then
break;
fi

I hope to be what you are looking for
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

Exit from script

I am invoking java program from shell script. Is there way to catch internal error and exit from script. though it is logging exceptions and errors script continues. (2 Replies)
Discussion started by: sushma123
2 Replies

2. Shell Programming and Scripting

How to capture the exit code of a shell script in a perl script.?

hi, i want to pop up an alert box using perl script. my requirement is. i am using a html page which calls a perl script. this perl script calls a shell script.. after the shell script ends its execution, i am using exit 0 to terminate the shell script successfully and exit 1 to terminate the... (3 Replies)
Discussion started by: Little
3 Replies

3. Shell Programming and Scripting

How to capture exit code of child script and send it to parent script?

#!/usr/local/bin/bash set -vx /prod/HotelierLinks/palaceLink/bin/PalacefilesWait /prod/HotelierLinks/palaceLink/bin/prodEnvSetup 03212013 & if then echo "fatal error: Palace/HardRock failed!!!!" 1>&2 echo "Palace Failed" | mail -s "Link Failed at Palace/HardRock" -c... (1 Reply)
Discussion started by: aroragaurav.84
1 Replies

4. Shell Programming and Scripting

How to get the exit status of a command in nner script to the outer script?

Hi all, I have a shell script inside which i am executing another shell script. In the inner script im executing a command. i want the status of that command in the outer script to perform some validations. How to get its status please help!!1 Im using ksh. (2 Replies)
Discussion started by: Jayaraman
2 Replies

5. Shell Programming and Scripting

How to grep sql error in shell script and exit the script?

I need help in the following script. I want to grep the sql errors insert into the error table and exit the shell script if there is any error, otherwise keep running the scripts. Here is my script #!/bin/csh -f source .orapass set user = $USER set pass = $PASS cd /opt/data/scripts echo... (2 Replies)
Discussion started by: allinshell99
2 Replies

6. UNIX for Dummies Questions & Answers

exit a script

Hi Guys, I have a script which takes reply from user and executes the corresponding scirpt. Below is the script PS3 = 'Enter the options of your choice(x to exit)=>' select useropt in 'List Processess' \ 'List semaphores' do case $REPLY in 1) abc.sh ... (13 Replies)
Discussion started by: vandi
13 Replies

7. UNIX for Dummies Questions & Answers

trying to grep the first few lines of a continuos script, and exit the script anyidea

Hi. I am trying to extract the output of the first few lines of a continuos sh script. The when i run it, i wont to grep the the first 20 lines of it for an entry and basically do a crtl z out of it or to that effect, and output the results to a text file. I basically want to script... (5 Replies)
Discussion started by: k00061804
5 Replies

8. UNIX for Dummies Questions & Answers

Exit out of the Script Command inside a Script

I'm new to Linux. I have a bash script that invokes an executable. I'd like use the SCRIPT command inside the script and exit out of the script command after it writes to the file. Does this make sense? Below is an example of the contents of my script. #BEGIN SCRIPT script typescript... (6 Replies)
Discussion started by: jmungai
6 Replies

9. Shell Programming and Scripting

exit from script

I have a shell script with options, one of which should exit the system (logout), however when I select this option it drops down to shell, is there a command other than exit that will close the session completely ? (1 Reply)
Discussion started by: gefa
1 Replies

10. UNIX for Dummies Questions & Answers

Where can I find a list of exit codes? (Exit code 64)

I'm receiving an exit code 64 in our batch scheduler (BMC product control-m) executing a PERL script on UX-HP. Can you tell me where I can find a list of exit codes and their meaning. I'm assuming the exit code is from the Unix operating system not PERL. (3 Replies)
Discussion started by: jkuchar747
3 Replies
Login or Register to Ask a Question